
#ifndef PORYGONLANG_BOUNDOPERATORS_HPP
#define PORYGONLANG_BOUNDOPERATORS_HPP

namespace Porygon::Binder {
    enum class BoundBinaryOperation : char
    {
        Addition = 0,
        Subtraction = 1,
        Multiplication = 2,
        Division = 3,
        Equality = 4,
        Inequality = 5,
        LessThan = 6,
        LessThanEquals = 7,
        GreaterThan = 8,
        GreaterThanEquals = 9,

        LogicalAnd = 10,
        LogicalOr = 11,
        Concatenation = 12
    };

    enum class BoundUnaryOperation {
        Negation,
        Count,
        LogicalNegation,
    };
}

#endif //PORYGONLANG_BOUNDOPERATORS_HPP
