
#ifndef PORYGONLANG_BINARYOPERATORKIND_HPP
#define PORYGONLANG_BINARYOPERATORKIND_HPP

namespace Porygon::Parser {
    enum class BinaryOperatorKind {
        // Math
        Addition,
        Subtraction,
        Multiplication,
        Division,

        // Equality
        Equality,
        Inequality,
        Less,
        LessOrEquals,
        Greater,
        GreaterOrEquals,

        // Logical
        LogicalAnd,
        LogicalOr,
    };
}
#endif //PORYGONLANG_BINARYOPERATORKIND_HPP
