#include "MathLibrary.hpp"

namespace Porygon::StandardLibraries{
    using namespace Porygon::Evaluation;
    const EvalValue* MathLibrary::_huge = new NumericEvalValue(DBL_MAX);
    const EvalValue* MathLibrary::_maxInteger = new NumericEvalValue(INT64_MAX);
    const EvalValue* MathLibrary::_minInteger = new NumericEvalValue(INT64_MIN);
    const EvalValue* MathLibrary::_pi = new NumericEvalValue(M_PI);
}