#include "UserDataCollectionValue.hpp"

namespace Porygon::UserData{
extern "C" {
UserDataCollectionType* CreateCollectionType(const ScriptType* keyType, const ScriptType* valueType){
    return UserDataCollectionType::CreateIndexableExtern(keyType, valueType);
}
UserDataCollectionValue* CreateCollectionValue(UserDataCollectionType* type, void* obj,
                                               const EvalValue* (*get)(void*, const EvalValue*),
                                               void (*set)(void*, const EvalValue*, const EvalValue*),
                                               Iterator* (*getIterator)(void*), size_t (getSize)(void*)){
    return new UserDataCollectionValue(shared_ptr<UserDataCollectionType>(type),
            new UserDataCollectionHelper(obj, get, set, getIterator, getSize));
}
}
}
